org.apache.cassandra.transport

## Class Server.ConnectionTracker

- java.lang.Object
- - org.apache.cassandra.transport.Server.ConnectionTracker

All Implemented Interfaces:
  Connection.Tracker

Enclosing class:
  Server

    public static class Server.ConnectionTracker
    extends java.lang.Object
    implements Connection.Tracker

### Field Summary

Fields
`org.jboss.netty.channel.group.ChannelGroup` `allChannels`

### Constructor Summary

Constructors
Constructor and Description
`Server.ConnectionTracker()`

### Method Summary

Methods
`void` `addConnection(org.jboss.netty.channel.Channel ch, Connection connection)`
`void` `closeAll()`
`int` `getConnectedClients()`
`void` `register(Event.Type type, org.jboss.netty.channel.Channel ch)`
`void` `send(Event event)`
`void` `unregister(org.jboss.netty.channel.Channel ch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### allChannels

    public final org.jboss.netty.channel.group.ChannelGroup allChannels

### Constructor Detail

#### Server.ConnectionTracker

    public Server.ConnectionTracker()

### Method Detail

#### addConnection

    public void addConnection(org.jboss.netty.channel.Channel ch,
                     Connection connection)

Specified by:
  `addConnection` in interface `Connection.Tracker`

#### register

    public void register(Event.Type type,
                org.jboss.netty.channel.Channel ch)

#### unregister

    public void unregister(org.jboss.netty.channel.Channel ch)

#### send

    public void send(Event event)

#### closeAll

    public void closeAll()

Specified by:
  `closeAll` in interface `Connection.Tracker`

#### getConnectedClients

    public int getConnectedClients()